Package org.eclipse.mat.snapshot

# Interface IOQLQuery

All Known Implementing Classes:
  `OQLQueryImpl`

public interface IOQLQuery
Performs an OQL Query.

No Implement:

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IOQLQuery.Result`
A result which also describes the OQL query that generated it.

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ISnapshot snapshot, IProgressListener monitor)`
Execute the OQL query.

## Method Details

### execute

Object execute(ISnapshot snapshot, IProgressListener monitor) throws SnapshotException
Execute the OQL query. Returns a result object, either a primitive integer array containing object ids or IResultTable.

Throws:
  `SnapshotException`